#!/bin/bash

step=0.1

echo "Index  E_tot  E_els  E_x  E_rep  E_xrep  E_orb  E_DFTc  E_dc  E_c" > scan.txt

for ((i = -5; i <= 40; i++))
do
echo "Running $i..."
move=`echo "$step*($i)"|bc -l`
Multiwfn CH3CN_optfreq.out << EOF > /dev/null
300
7
1
1-4
0,0,$move
-1
system.xyz
-10
0
q
EOF

./sobEDA.sh > result$i.txt
E_tot=`grep "Total interaction energy:" result$i.txt | awk '{print $4}'`
E_els=`grep "Electrostatic (E_els):" result$i.txt | awk '{print $3}'`
E_x=`grep "Exchange (E_x):" result$i.txt | awk '{print $3}'`
E_rep=`grep "Pauli repulsion (E_rep):" result$i.txt | awk '{print $4}'`
E_xrep=`grep "Exchange-repulsion (E_xrep = E_x + E_rep):" result$i.txt | awk '{print $7}'`
E_orb=`grep "Orbital (E_orb):" result$i.txt | awk '{print $3}'`
E_DFTc=`grep "DFT correlation (E_DFTc):" result$i.txt | awk '{print $4}'`
E_dc=`grep "Dispersion correction (E_dc):" result$i.txt | awk '{print $4}'`
E_c=`grep "Coulomb correlation (E_c = E_DFTc + E_dc):" result$i.txt | awk '{print $8}'`
echo "$i $E_tot $E_els $E_x $E_rep $E_xrep $E_orb $E_DFTc $E_dc $E_c" >> scan.txt

formchk final.chk final$i.fch &> /dev/null
rm -f result$i.txt
mv final.out final$i.out

done

rm -f fragment*.gjf final.gjf fragment*.out fragment*.chk fragment*.fch promol.* *.chk

