#!/bin/bash

step=0.1

rm -f scan.xyz

echo "Index  E_tot  E_els  E_xrep  E_orb  E_disp" > scan.txt

for ((i = -5; i <= 50; i++))
do
echo "Running $i..."
move=`echo "$step*($i)"|bc -l`
Multiwfn equil.xyz << EOF > /dev/null
300
7
1
13-15
0,0,$move
-1
system.xyz
-10
0
q
EOF

./sobEDA.sh > result$i.txt
E_tot=`grep "Total interaction energy:" result$i.txt | awk '{print $4}'`
E_els=`grep "Electrostatic (E_els):" result$i.txt | awk '{print $3}' | head -1`
E_xrep=`grep "Exchange-repulsion (including scaled DFT correlation):" result$i.txt | awk '{print $6}'`
E_orb=`grep "Orbital (E_orb):" result$i.txt | awk '{print $3}' | head -1`
E_dis=`grep "Dispersion (E_disp):" result$i.txt | awk '{print $3}'`
echo "$i $E_tot $E_els $E_xrep $E_orb $E_dis" >> scan.txt

formchk final.chk final$i.fch &> /dev/null
rm -f result$i.txt
mv final.out final$i.out

cat system.xyz >> scan.xyz

done

rm -f fragment*.gjf final.gjf fragment*.out fragment*.chk fragment*.fch promol.* *.chk

